## org.hibernate.metamodel.source.binder
Interface RelationalValueSource

All Known Subinterfaces:
  ColumnSource, DerivedValueSource

All Known Implementing Classes:
  ColumnSourceImpl, ColumnValuesSourceImpl, DerivedValueSourceImpl

    public interface RelationalValueSource

Unifying interface for `ColumnSource` and `DerivedValueSource`.

See Also:
  `ColumnSource`, `DerivedValueSource`

Method Summary
`String` `getContainingTableName()`

Method Detail

### getContainingTableName

    String getContainingTableName()

  Returns:
    returns the name of the table that contains this value.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.